define(["require", "exports", "../../../Styling", "../BaseButton.styles"], function (require, exports, Styling_1, BaseButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DEFAULT_BUTTON_HEIGHT = '32px';
    var DEFAULT_PADDING = '0 4px';
    function getStyles(theme, customStyles) {
        if (theme === void 0) { theme = Styling_1.getTheme(); }
        var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
        var iconButtonStyles = {
            root: Styling_1.mergeStyles({
                padding: '0 4px',
                width: '32px',
                height: '32px'
            }),
            rootEnabled: Styling_1.mergeStyles({
                backgroundColor: 'transparent',
                ':hover': {
                    color: theme.palette.themeDarker
                },
                ':active': {
                    color: theme.palette.themePrimary
                }
            }),
            rootDisabled: Styling_1.mergeStyles({
                color: theme.palette.neutralTertiary
            })
        };
        return Styling_1.mergeStyleSets(baseButtonStyles, iconButtonStyles, customStyles);
    }
    exports.getStyles = getStyles;
});

//# sourceMappingURL=IconButton.styles.js.map
