define(["require", "exports", "../../../Styling", "../DefaultButton/DefaultButton.styles"], function (require, exports, Styling_1, DefaultButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function getStyles(theme, customStyles) {
        if (theme === void 0) { theme = Styling_1.getTheme(); }
        var palette = theme.palette;
        var defaultButtonStyles = DefaultButton_styles_1.getStyles(theme, customStyles, '0px', theme.palette.white);
        var primaryButtonStyles = {
            rootEnabled: Styling_1.mergeStyles({
                backgroundColor: palette.themePrimary,
                color: palette.white,
                ':hover': {
                    backgroundColor: palette.themeDark,
                    color: palette.white
                },
                ':active': {
                    backgroundColor: palette.themePrimary,
                    color: palette.white
                }
            })
        };
        return Styling_1.mergeStyleSets(defaultButtonStyles, primaryButtonStyles, customStyles);
    }
    exports.getStyles = getStyles;
});

//# sourceMappingURL=PrimaryButton.styles.js.map
