"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Styling_1 = require("../../../Styling");
var BaseButton_styles_1 = require("../BaseButton.styles");
var Utilities_1 = require("../../../Utilities");
var DEFAULT_BUTTON_HEIGHT = '40px';
var DEFAULT_PADDING = '0 4px';
exports.getStyles = Utilities_1.memoize(function (theme, customStyles) {
    if (theme === void 0) { theme = Styling_1.getTheme(); }
    var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
    var commandButtonStyles = {
        root: Styling_1.mergeStyles({
            borderWidth: '0',
            padding: DEFAULT_PADDING,
            height: DEFAULT_BUTTON_HEIGHT,
        }),
        flexContainer: Styling_1.mergeStyles({
            justifyContent: 'flex-start'
        }),
        rootEnabled: Styling_1.mergeStyles({
            color: theme.palette.neutralPrimary,
            backgroundColor: 'transparent',
            ':hover': {
                color: theme.palette.themeDarker
            },
            ':active': {
                color: theme.palette.themePrimary
            }
        }),
        rootDisabled: Styling_1.mergeStyles({
            color: theme.palette.neutralTertiary,
            backgroundColor: 'transparent'
        }),
        iconEnabled: Styling_1.mergeStyles({
            color: theme.palette.themePrimary
        }),
        menuIconEnabled: Styling_1.mergeStyles({
            color: theme.palette.neutralSecondary
        })
    };
    return Styling_1.mergeStyleSets(baseButtonStyles, commandButtonStyles, customStyles);
});

//# sourceMappingURL=CommandButton.styles.js.map
