"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Styling_1 = require("../../../Styling");
var DefaultButton_styles_1 = require("../DefaultButton/DefaultButton.styles");
var DEFAULT_BUTTON_HEIGHT = '32px';
var DEFAULT_BUTTON_MINWIDTH = '80px';
var DEFAULT_PADDING = '0 16px';
function getStyles(theme, customStyles) {
    if (theme === void 0) { theme = Styling_1.getTheme(); }
    var defaultButtonStyles = DefaultButton_styles_1.getStyles(theme, customStyles);
    var compoundButtonStyles = {
        root: Styling_1.mergeStyles({
            maxWidth: '280px',
            minHeight: '72px',
            height: 'auto',
            padding: '20px'
        }),
        rootEnabled: Styling_1.mergeStyles({
            ':hover .ms-Button-description': {
                color: theme.palette.neutralDark
            },
            ':active .ms-Button-description': {
                color: 'inherit'
            }
        }),
        flexContainer: Styling_1.mergeStyles({
            flexDirection: 'column',
            alignItems: 'flex-start',
            minWidth: '100%',
            margin: ''
        }),
        label: Styling_1.mergeStyles({
            margin: '0 0 5px',
            lineHeight: '100%'
        }),
        description: Styling_1.mergeStyles(theme.fonts.small, {
            lineHeight: '100%'
        }),
        descriptionEnabled: Styling_1.mergeStyles({
            color: theme.palette.neutralSecondary,
        })
    };
    return Styling_1.mergeStyleSets(defaultButtonStyles, compoundButtonStyles, customStyles);
}
exports.getStyles = getStyles;

//# sourceMappingURL=CompoundButton.styles.js.map
